Loading...
Searching...
No Matches
RDKit::MolOps::AddHsParameters Struct Reference

`#include <MolOps.h>`

## Public Attributes

bool | explicitOnly = false
bool | addCoords = false
bool | addResidueInfo = false
bool | skipQueries

## Detailed Description

Definition at line 184 of file MolOps.h.

## Member Data Documentation

## addCoords

bool RDKit::MolOps::AddHsParameters::addCoords = false

add coordinates for the Hs

Definition at line 186 of file MolOps.h.

## addResidueInfo

bool RDKit::MolOps::AddHsParameters::addResidueInfo = false

add residue info to the Hs

Definition at line 187 of file MolOps.h.

## explicitOnly

bool RDKit::MolOps::AddHsParameters::explicitOnly = false

only add explicit Hs

Definition at line 185 of file MolOps.h.

## skipQueries

bool RDKit::MolOps::AddHsParameters::skipQueries

Initial value:
=
false

do not add Hs to query atoms or atoms with query bonds

Definition at line 188 of file MolOps.h.

The documentation for this struct was generated from the following file:

- MolOps.h